import { UmiError } from '@metaplex-foundation/umi';
export declare class IrysError extends UmiError {
    readonly name: string;
    constructor(message: string, cause?: Error);
}
export declare class FailedToInitializeIrysError extends IrysError {
    readonly name: string;
    constructor(cause: Error);
}
export declare class FailedToConnectToIrysAddressError extends IrysError {
    readonly name: string;
    constructor(address: string, cause: Error);
}
export declare class AssetUploadFailedError extends IrysError {
    readonly name: string;
    constructor(status: number);
}
export declare class IrysWithdrawError extends IrysError {
    readonly name: string;
    constructor(error: string);
}
export declare class IrysAbortError extends IrysError {
    readonly name: string;
    constructor();
}
